> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization's associated Security Framework Document

> Create a Cyber Assurance Association document attached to self evaluation.



## OpenAPI

````yaml post /api/v1/organizations/{organizationid}/security-frameworks/{frameworkid}/documents/{controlid}
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/organizations/{organizationid}/security-frameworks/{frameworkid}/documents/{controlid}:
    post:
      tags:
        - organizations
      description: >-
        Create a Cyber Assurance Association document attached to self
        evaluation.
      operationId: organizations_security_frameworks_documents_create
      parameters:
        - in: header
          name: Content-Disposition
          schema:
            type: string
            default: attachment; filename=sample.pdf
          description: Specify 'attachment' as content disposition and file name.
        - in: path
          name: controlid
          schema:
            type: string
          required: true
        - in: path
          name: frameworkid
          schema:
            type: integer
          required: true
        - in: path
          name: organizationid
          schema:
            type: integer
          required: true
      requestBody:
        content:
          '*/*':
            schema:
              type: string
              format: binary
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  data:
                    type: object
                    properties:
                      file_name:
                        type: string
                        description: File name.
                        examples:
                          - xxxxxxxx.pdf
                          - xxxxxxxx.jpg
                      file_path:
                        type: string
                        description: Full relative path for the document.
                        examples:
                          - >-
                            /api/v1/documents/organizations/1/security-frameworks/1/documents/C1/
                          - >-
                            /api/v1/documents/organizations/2/security-frameworks/2/documents/C2/
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````